Bug 309697 - Fix metadata with last.fm scrobbling response
Summary: Fix metadata with last.fm scrobbling response
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Services/Last.fm (show other bugs)
Version: unspecified
Platform: unspecified All
: NOR wishlist with 20 votes (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-07 14:42 UTC by Diego Agulló
Modified: 2012-11-21 23:19 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments
Erroneous track metadata notification (15.81 KB, image/png)
2012-11-07 14:42 UTC, Diego Agulló
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Agulló 2012-11-07 14:42:46 UTC
Created attachment 75077 [details]
Erroneous track metadata notification

Amarok could provide a way to fix a track's metadata following the information provided by last.fm API in response to a scrobble or nowplaying request. As of today, the API is returning a piece of XML code as in:

  <lfm status="ok">
    <nowplaying>
      <track corrected="1">Wish You Were Here</track>
      <artist corrected="1">Pink Floyd</artist>
      <album corrected="0">Wish You Were Her</album>
      <albumArtist corrected="0"/>
      <ignoredMessage code="0"/>
    </nowplaying>
  </lfm>

As far as I can see, this information is being discarded, but it may be useful, isn't it? The confirmation could be handled via an optional notification as shown in the attached image (with yes/no buttons, of course)..
Comment 1 Matěj Laitl 2012-11-08 11:51:17 UTC
Do you mean this one? ;) http://strohel.blogspot.com/2012/07/amarok-statsyncing-gsoc-weeks-8-and-9.html
Comment 2 Diego Agulló 2012-11-08 11:57:17 UTC
Yes indeed! I wasn't aware of this GSoC project. But as far as I can see, the user must fix the metadata manually, don't they?

By the way, do you know whether it will be merged in 2.7? Thanks for your work! This has been bothering me for ages.
Comment 3 Matěj Laitl 2012-11-08 12:57:11 UTC
(In reply to comment #2)
> Yes indeed! I wasn't aware of this GSoC project. But as far as I can see,
> the user must fix the metadata manually, don't they?

Yes, currently it is kinda inconvenient. I want to develop a "proper" solution which would let you do this more automatically. However, doing this only on song play is the most inconvenient thing - this has to be done in batch (and Last.fm allows it). I think I'll extend the "Fill-in tags using MusicBrainz" to include Last.fm corrections too - that way you can do it for the whole album etc. That won't however make it into 2.7 vely likely.

> By the way, do you know whether it will be merged in 2.7? Thanks for your
> work! This has been bothering me for ages.

Yes. In fact, 2.7 currently waits for more GSoC projects (incl.) this one to be merged. I'm still working on it, see 
http://quickgit.kde.org/index.php?p=clones%2Famarok%2Flaitl%2Famarok.git&a=shortlog&h=refs/heads/gsoc and s list of TODO's from my last weekly report (most of them done): http://strohel.blogspot.com/2012/08/amarok-statsyncing-gsoc-week-12-heat-up.html
Comment 4 Matěj Laitl 2012-11-21 23:19:01 UTC
Git commit 2fc6c25ee0f2eff758432c101ff82c87bc04a9e8 by Matěj Laitl.
Committed on 16/11/2012 at 19:03.
Pushed by laitl into branch 'master'.

StatSyncing: ChangeLog and BUG: tags for the final merge

This is a cummulative ChangeLog for my GSoC 2012 project, statistics
synchronization.

Individual commits responsible for the changes are earlier, but under
the same git merge.

FEATURES:
  * Track dragging support in Unique Tracks tab of the Synchronize Statistics action;
    allows you to do a "diff" between collections and transfer missing tracks.
  * Amarok now scrobbles tracks in streams if the stream correctly updates
    meta-data.
  * When scrobbling to Last.fm, Amarok announces suggested tag corrections.
  * Ability to scrobble recently played tracks from iPod (and the like) to Last.fm.
  * Synchronization of labels and rating between Last.fm and Amarok collections;
    play count can be synchronized one-way from Last.fm to Amarok.
  * Statistics synchronization between collections, supports rating, first / last
    played time, play count and labels.

CHANGES:
  * Configure Amarok dialog gets new Metadata tab to grab some weight from the
    Collection tab and to configure statistics synchronization.

BUGFIXES:
  * Better Last.fm scrobbling behaviour and error reporting due to rewrite,
    should fix long-standing problems.
  * Update stream meta-data correctly even with phonon-gstreamer back-end.
Related: bug 240732, bug 206249, bug 293320, bug 285820
FIXED-IN: 2.7
DIGEST: Amarok statistics synchronization GSoC project merged with many features
        and improvements, please see http://strohel.blogspot.com/search/label/gsoc
        for more info and a bunch of screen shots.
GUI: Added statistics synchronization dialogs, split and one more config dialog tab

M  +15   -0    ChangeLog

http://commits.kde.org/amarok/2fc6c25ee0f2eff758432c101ff82c87bc04a9e8